NICOTINE+(1)

NAME
nicotine - graphical client for the Soulseek peer-to-peer network

SYNOPSIS
nicotine [options]

DESCRIPTION
Nicotine+ is a graphical application that allows users to interact with the Soulseek peer-to-peer network.

OPTIONS

-c <file>, --config=<file>
    Use <file> as configuration file. If <file> does not exists a new empty configuration file will be created.

-u <dir>, --user-data=<dir>
    Use <dir> as directory for user data, e.g. list of shared files and downloads. If <dir> does not exists a new empty directory will be created.

-p <dir>, --plugins=<dir>
    Use <dir> as directory for plugins. If <dir> does not exists a new empty directory will be created.

-t, --enable-trayicon
    Enable the tray icon.

-d, --disable-trayicon
    Disable the tray icon.

-h, --help
    Show command help and exit.

-s, --hidden
    Start the program without showing window.

-b <ip>, --bindip=<ip>
    Bind sockets to the given <ip> (useful for VPN).

-l <port>, --port=<port>
    Listen on the given port. Overrides the port range configuration.

-r, --rescan
    Rescan shared files.

-n, --headless
    Start the program in headless mode (no GUI).

-v, --version
    Show version number and exit.

EXIT STATUS
The regular exit status of the program is 0.
If required dependencies are not present, the exit status is 1.
If the given list of arguments cannot be parsed, the exit status is 2.

FILES

~/.config/nicotine/config
    The configuration file.

~/.local/share/nicotine/
    Other personal files such as downloads, shares and logs.

AUTHOR
Nicotine+ Team <https://nicotine-plus.org/>